admin or member.PUT /api/v2/agents/{agent_id}/permissions. When staging is on and the role is admin,edit_agent on the agent; organizations that don't use permission sets checkmanage instead.curl --location --globoff 'https:///api/v2/agents//permissions' \
--header 'X-Authorization-Consistency-Token;' \
--header 'Organization-Id;' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{
"subject_type": "user",
"subject_id": "456",
"relation": "admin"
}'{
"success": true,
"message": "Permission granted successfully",
"data": {
"agent_id": 42,
"subject_type": "user",
"subject_id": "15",
"subject_name": "Dana Lee",
"relation": "admin",
"granted_at": "2026-10-28T14:05:12.481203+00:00",
"granted_by": {
"user_id": "7",
"email": "[email protected]",
"name": "Alex Kim"
}
}
}